Package org.eclipse.jgit.lib

## Class ConfigConstants

- java.lang.Object
- - org.eclipse.jgit.lib.ConfigConstants

    public class ConfigConstants
    extends Object

Constants for use with the Configuration classes: section names, configuration keys

### Field Summary

Fields
`static String` `CONFIG_BRANCH_SECTION` The "branch" section
`static String` `CONFIG_CORE_SECTION` The "core" section
`static String` `CONFIG_DFS_SECTION` The "dfs" section
`static String` `CONFIG_DIFF_SECTION` The "diff" section
`static String` `CONFIG_FETCH_SECTION` The "fetch" section
`static String` `CONFIG_GC_SECTION` The "gc" section
`static String` `CONFIG_GERRIT_SECTION` The "gerrit" section
`static String` `CONFIG_KEY_AGGRESSIVE_DEPTH` The "aggressiveDepth" key
`static String` `CONFIG_KEY_AGGRESSIVE_WINDOW` The "aggressiveWindow" key
`static String` `CONFIG_KEY_ALGORITHM` The "algorithm" key
`static String` `CONFIG_KEY_ALWAYS` The "always" key (used to configure `CONFIG_KEY_AUTOSETUPREBASE` and `CONFIG_KEY_AUTOSETUPMERGE`
`static String` `CONFIG_KEY_ATTRIBUTESFILE` The "attributesfile" key
`static String` `CONFIG_KEY_AUTOCRLF` The "autocrlf" key
`static String` `CONFIG_KEY_AUTOSETUPMERGE` The "autosetupmerge" key
`static String` `CONFIG_KEY_AUTOSETUPREBASE` The "autosetuprebase" key
`static String` `CONFIG_KEY_AUTOSTASH` The "autostash" key
`static String` `CONFIG_KEY_BARE` The "bare" key
`static String` `CONFIG_KEY_BLOCK_LIMIT` The "blockLimit" key
`static String` `CONFIG_KEY_BLOCK_SIZE` The "blockSize" key
`static String` `CONFIG_KEY_CHECKSTAT` The "checkstat" key
`static String` `CONFIG_KEY_COMPRESSION` The "compression" key
`static String` `CONFIG_KEY_CREATECHANGEID` The "createchangeid" key
`static String` `CONFIG_KEY_DEFBRANCHSTARTPOINT` The "defaultsourceref" key
`static String` `CONFIG_KEY_DELTA_BASE_CACHE_LIMIT` The "deltaBaseCacheLimit" key
`static String` `CONFIG_KEY_EMAIL` The "email" key
`static String` `CONFIG_KEY_EXCLUDESFILE` The "excludesfile" key
`static String` `CONFIG_KEY_FALSE` The "false" key (used to configure `CONFIG_KEY_AUTOSETUPMERGE`
`static String` `CONFIG_KEY_FF` The "ff" key
`static String` `CONFIG_KEY_FILEMODE` The "filemode" key
`static String` `CONFIG_KEY_HIDEDOTFILES` The "hidedotfiles" key
`static String` `CONFIG_KEY_IGNORE` The "ignore" key
`static String` `CONFIG_KEY_INDEXVERSION` The "indexversion" key
`static String` `CONFIG_KEY_LOCAL` The "local" key (used to configure `CONFIG_KEY_AUTOSETUPREBASE`
`static String` `CONFIG_KEY_LOGALLREFUPDATES` The "logallrefupdates" key
`static String` `CONFIG_KEY_MERGE` The "merge" key
`static String` `CONFIG_KEY_MERGEOPTIONS` The "mergeoptions" key
`static String` `CONFIG_KEY_NAME` The "name" key
`static String` `CONFIG_KEY_NEVER` The "never" key (used to configure `CONFIG_KEY_AUTOSETUPREBASE`
`static String` `CONFIG_KEY_NOPREFIX` The "noprefix" key in the "diff section"
`static String` `CONFIG_KEY_PATH` The "path" key
`static String` `CONFIG_KEY_PRECOMPOSEUNICODE` The "precomposeunicode" key
`static String` `CONFIG_KEY_PRUNE` The "prune" key
`static String` `CONFIG_KEY_PRUNEEXPIRE` The "pruneexpire" key
`static String` `CONFIG_KEY_REBASE` The "rebase" key
`static String` `CONFIG_KEY_REMOTE` The "remote" key
`static String` `CONFIG_KEY_RENAMELIMIT` The "renamelimit" key in the "diff section"
`static String` `CONFIG_KEY_RENAMES` The "renames" key in the "diff section"
`static String` `CONFIG_KEY_REPO_FORMAT_VERSION` The "repositoryformatversion" key
`static String` `CONFIG_KEY_STREAM_FILE_TRESHOLD` The "streamFileThreshold" key
`static String` `CONFIG_KEY_SYMLINKS` The "symlinks" key
`static String` `CONFIG_KEY_TRUE` The "true" key (used to configure `CONFIG_KEY_AUTOSETUPMERGE`
`static String` `CONFIG_KEY_TRUSTFOLDERSTAT` The "trustfolderstat" key in the "core section"
`static String` `CONFIG_KEY_UPDATE` The "update" key
`static String` `CONFIG_KEY_URL` The "url" key
`static String` `CONFIG_KEY_WORKTREE` The "worktree" key
`static String` `CONFIG_PACK_SECTION` The "pack" section
`static String` `CONFIG_PULL_SECTION` The "pull" section
`static String` `CONFIG_REBASE_SECTION` The "rebase" section
`static String` `CONFIG_REMOTE_SECTION` The "remote" section
`static String` `CONFIG_RENAMELIMIT_COPIES` A "renamelimit" value in the "diff section"
`static String` `CONFIG_RENAMELIMIT_COPY` A "renamelimit" value in the "diff section"
`static String` `CONFIG_SUBMODULE_SECTION` The "submodule" section
`static String` `CONFIG_USER_SECTION` The "user" section
`static String` `CONFIG_WORKFLOW_SECTION` The "workflow" section

### Constructor Summary

Constructors
`ConfigConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONFIG_CORE_SECTION

    public static final String CONFIG_CORE_SECTION

The "core" section

See Also:
  Constant Field Values

#### CONFIG_BRANCH_SECTION

    public static final String CONFIG_BRANCH_SECTION

The "branch" section

See Also:
  Constant Field Values

#### CONFIG_REMOTE_SECTION

    public static final String CONFIG_REMOTE_SECTION

The "remote" section

See Also:
  Constant Field Values

#### CONFIG_DIFF_SECTION

    public static final String CONFIG_DIFF_SECTION

The "diff" section

See Also:
  Constant Field Values

#### CONFIG_DFS_SECTION

    public static final String CONFIG_DFS_SECTION

The "dfs" section

See Also:
  Constant Field Values

#### CONFIG_USER_SECTION

    public static final String CONFIG_USER_SECTION

The "user" section

See Also:
  Constant Field Values

#### CONFIG_GERRIT_SECTION

    public static final String CONFIG_GERRIT_SECTION

The "gerrit" section

See Also:
  Constant Field Values

#### CONFIG_WORKFLOW_SECTION

    public static final String CONFIG_WORKFLOW_SECTION

The "workflow" section

See Also:
  Constant Field Values

#### CONFIG_SUBMODULE_SECTION

    public static final String CONFIG_SUBMODULE_SECTION

The "submodule" section

See Also:
  Constant Field Values

#### CONFIG_REBASE_SECTION

    public static final String CONFIG_REBASE_SECTION

The "rebase" section

Since:
  3.2
See Also:
  Constant Field Values

#### CONFIG_GC_SECTION

    public static final String CONFIG_GC_SECTION

The "gc" section

See Also:
  Constant Field Values

#### CONFIG_PACK_SECTION

    public static final String CONFIG_PACK_SECTION

The "pack" section

See Also:
  Constant Field Values

#### CONFIG_FETCH_SECTION

    public static final String CONFIG_FETCH_SECTION

The "fetch" section

Since:
  3.3
See Also:
  Constant Field Values

#### CONFIG_PULL_SECTION

    public static final String CONFIG_PULL_SECTION

The "pull" section

Since:
  3.5
See Also:
  Constant Field Values

#### CONFIG_KEY_ALGORITHM

    public static final String CONFIG_KEY_ALGORITHM

The "algorithm" key

See Also:
  Constant Field Values

#### CONFIG_KEY_AUTOCRLF

    public static final String CONFIG_KEY_AUTOCRLF

The "autocrlf" key

See Also:
  Constant Field Values

#### CONFIG_KEY_BARE

    public static final String CONFIG_KEY_BARE

The "bare" key

See Also:
  Constant Field Values

#### CONFIG_KEY_EXCLUDESFILE

    public static final String CONFIG_KEY_EXCLUDESFILE

The "excludesfile" key

See Also:
  Constant Field Values

#### CONFIG_KEY_ATTRIBUTESFILE

    public static final String CONFIG_KEY_ATTRIBUTESFILE

The "attributesfile" key

Since:
  3.7
See Also:
  Constant Field Values

#### CONFIG_KEY_FILEMODE

    public static final String CONFIG_KEY_FILEMODE

The "filemode" key

See Also:
  Constant Field Values

#### CONFIG_KEY_LOGALLREFUPDATES

    public static final String CONFIG_KEY_LOGALLREFUPDATES

The "logallrefupdates" key

See Also:
  Constant Field Values

#### CONFIG_KEY_REPO_FORMAT_VERSION

    public static final String CONFIG_KEY_REPO_FORMAT_VERSION

The "repositoryformatversion" key

See Also:
  Constant Field Values

#### CONFIG_KEY_WORKTREE

    public static final String CONFIG_KEY_WORKTREE

The "worktree" key

See Also:
  Constant Field Values

#### CONFIG_KEY_BLOCK_LIMIT

    public static final String CONFIG_KEY_BLOCK_LIMIT

The "blockLimit" key

See Also:
  Constant Field Values

#### CONFIG_KEY_BLOCK_SIZE

    public static final String CONFIG_KEY_BLOCK_SIZE

The "blockSize" key

See Also:
  Constant Field Values

#### CONFIG_KEY_DELTA_BASE_CACHE_LIMIT

    public static final String CONFIG_KEY_DELTA_BASE_CACHE_LIMIT

The "deltaBaseCacheLimit" key

See Also:
  Constant Field Values

#### CONFIG_KEY_SYMLINKS

    public static final String CONFIG_KEY_SYMLINKS

The "symlinks" key

Since:
  3.3
See Also:
  Constant Field Values

#### CONFIG_KEY_STREAM_FILE_TRESHOLD

    public static final String CONFIG_KEY_STREAM_FILE_TRESHOLD

The "streamFileThreshold" key

See Also:
  Constant Field Values

#### CONFIG_KEY_REMOTE

    public static final String CONFIG_KEY_REMOTE

The "remote" key

See Also:
  Constant Field Values

#### CONFIG_KEY_MERGE

    public static final String CONFIG_KEY_MERGE

The "merge" key

See Also:
  Constant Field Values

#### CONFIG_KEY_REBASE

    public static final String CONFIG_KEY_REBASE

The "rebase" key

See Also:
  Constant Field Values

#### CONFIG_KEY_URL

    public static final String CONFIG_KEY_URL

The "url" key

See Also:
  Constant Field Values

#### CONFIG_KEY_AUTOSETUPMERGE

    public static final String CONFIG_KEY_AUTOSETUPMERGE

The "autosetupmerge" key

See Also:
  Constant Field Values

#### CONFIG_KEY_AUTOSETUPREBASE

    public static final String CONFIG_KEY_AUTOSETUPREBASE

The "autosetuprebase" key

See Also:
  Constant Field Values

#### CONFIG_KEY_AUTOSTASH

    public static final String CONFIG_KEY_AUTOSTASH

The "autostash" key

Since:
  3.2
See Also:
  Constant Field Values

#### CONFIG_KEY_NAME

    public static final String CONFIG_KEY_NAME

The "name" key

See Also:
  Constant Field Values

#### CONFIG_KEY_EMAIL

    public static final String CONFIG_KEY_EMAIL

The "email" key

See Also:
  Constant Field Values

#### CONFIG_KEY_FALSE

    public static final String CONFIG_KEY_FALSE

The "false" key (used to configure `CONFIG_KEY_AUTOSETUPMERGE`

See Also:
  Constant Field Values

#### CONFIG_KEY_TRUE

    public static final String CONFIG_KEY_TRUE

The "true" key (used to configure `CONFIG_KEY_AUTOSETUPMERGE`

See Also:
  Constant Field Values

#### CONFIG_KEY_ALWAYS

    public static final String CONFIG_KEY_ALWAYS

The "always" key (used to configure `CONFIG_KEY_AUTOSETUPREBASE` and `CONFIG_KEY_AUTOSETUPMERGE`

See Also:
  Constant Field Values

#### CONFIG_KEY_NEVER

    public static final String CONFIG_KEY_NEVER

The "never" key (used to configure `CONFIG_KEY_AUTOSETUPREBASE`

See Also:
  Constant Field Values

#### CONFIG_KEY_LOCAL

    public static final String CONFIG_KEY_LOCAL

The "local" key (used to configure `CONFIG_KEY_AUTOSETUPREBASE`

See Also:
  Constant Field Values

#### CONFIG_KEY_CREATECHANGEID

    public static final String CONFIG_KEY_CREATECHANGEID

The "createchangeid" key

See Also:
  Constant Field Values

#### CONFIG_KEY_DEFBRANCHSTARTPOINT

    public static final String CONFIG_KEY_DEFBRANCHSTARTPOINT

The "defaultsourceref" key

See Also:
  Constant Field Values

#### CONFIG_KEY_PATH

    public static final String CONFIG_KEY_PATH

The "path" key

See Also:
  Constant Field Values

#### CONFIG_KEY_UPDATE

    public static final String CONFIG_KEY_UPDATE

The "update" key

See Also:
  Constant Field Values

#### CONFIG_KEY_IGNORE

    public static final String CONFIG_KEY_IGNORE

The "ignore" key

Since:
  3.6
See Also:
  Constant Field Values

#### CONFIG_KEY_COMPRESSION

    public static final String CONFIG_KEY_COMPRESSION

The "compression" key

See Also:
  Constant Field Values

#### CONFIG_KEY_INDEXVERSION

    public static final String CONFIG_KEY_INDEXVERSION

The "indexversion" key

See Also:
  Constant Field Values

#### CONFIG_KEY_HIDEDOTFILES

    public static final String CONFIG_KEY_HIDEDOTFILES

The "hidedotfiles" key

Since:
  3.5
See Also:
  Constant Field Values

#### CONFIG_KEY_PRECOMPOSEUNICODE

    public static final String CONFIG_KEY_PRECOMPOSEUNICODE

The "precomposeunicode" key

See Also:
  Constant Field Values

#### CONFIG_KEY_PRUNEEXPIRE

    public static final String CONFIG_KEY_PRUNEEXPIRE

The "pruneexpire" key

See Also:
  Constant Field Values

#### CONFIG_KEY_AGGRESSIVE_DEPTH

    public static final String CONFIG_KEY_AGGRESSIVE_DEPTH

The "aggressiveDepth" key

Since:
  3.6
See Also:
  Constant Field Values

#### CONFIG_KEY_AGGRESSIVE_WINDOW

    public static final String CONFIG_KEY_AGGRESSIVE_WINDOW

The "aggressiveWindow" key

Since:
  3.6
See Also:
  Constant Field Values

#### CONFIG_KEY_MERGEOPTIONS

    public static final String CONFIG_KEY_MERGEOPTIONS

The "mergeoptions" key

See Also:
  Constant Field Values

#### CONFIG_KEY_FF

    public static final String CONFIG_KEY_FF

The "ff" key

See Also:
  Constant Field Values

#### CONFIG_KEY_CHECKSTAT

    public static final String CONFIG_KEY_CHECKSTAT

The "checkstat" key

Since:
  3.0
See Also:
  Constant Field Values

#### CONFIG_KEY_RENAMELIMIT

    public static final String CONFIG_KEY_RENAMELIMIT

The "renamelimit" key in the "diff section"

Since:
  3.0
See Also:
  Constant Field Values

#### CONFIG_KEY_TRUSTFOLDERSTAT

    public static final String CONFIG_KEY_TRUSTFOLDERSTAT

The "trustfolderstat" key in the "core section"

Since:
  3.6
See Also:
  Constant Field Values

#### CONFIG_KEY_NOPREFIX

    public static final String CONFIG_KEY_NOPREFIX

The "noprefix" key in the "diff section"

Since:
  3.0
See Also:
  Constant Field Values

#### CONFIG_RENAMELIMIT_COPY

    public static final String CONFIG_RENAMELIMIT_COPY

A "renamelimit" value in the "diff section"

Since:
  3.0
See Also:
  Constant Field Values

#### CONFIG_RENAMELIMIT_COPIES

    public static final String CONFIG_RENAMELIMIT_COPIES

A "renamelimit" value in the "diff section"

Since:
  3.0
See Also:
  Constant Field Values

#### CONFIG_KEY_RENAMES

    public static final String CONFIG_KEY_RENAMES

The "renames" key in the "diff section"

Since:
  3.0
See Also:
  Constant Field Values

#### CONFIG_KEY_PRUNE

    public static final String CONFIG_KEY_PRUNE

The "prune" key

Since:
  3.3
See Also:
  Constant Field Values

### Constructor Detail

#### ConfigConstants

    public ConfigConstants()